За последние 24 часа нас посетили 11300 программистов и 794 робота. Сейчас ищут 393 программиста ...

Ошибки ларавеля

Тема в разделе "Laravel", создана пользователем ROMERO-LUKAKA, 30 ноя 2022.

  1. ROMERO-LUKAKA

    ROMERO-LUKAKA Новичок

    С нами с:
    30 ноя 2022
    Сообщения:
    18
    Симпатии:
    1
    Добрый день!
    Есть сайт на Laravel.
    Это интернет магазин. Там есть функция, которая генерит после оплаты чек в pdf
    Так вот на одном хостинге у меня - эта функция работает, а на другом хостинге - работать не хочет! выдает 500 Server Error
    ТП хостера разобраться не может в чем проблема!
    Сам скрипт выдает ошибки в приложенном логе...


    Может кто поймет чего ему на этом хостинге не хватает?
     

    Вложения:

    • PHP_errors.txt
      Размер файла:
      149,6 КБ
      Просмотров:
      3
  2. artoodetoo

    artoodetoo Суперстар
    Команда форума Модератор

    С нами с:
    11 июн 2010
    Сообщения:
    10.817
    Симпатии:
    1.171
    Адрес:
    там-сям
    Что-то надо объяснять?
     
  3. don.bidon

    don.bidon Новичок

    С нами с:
    28 мар 2021
    Сообщения:
    520
    Симпатии:
    79
    во времена интернетов не все в переводчики шарють, чо
     
  4. ROMERO-LUKAKA

    ROMERO-LUKAKA Новичок

    С нами с:
    30 ноя 2022
    Сообщения:
    18
    Симпатии:
    1
    Ну что, все поупражнялись в остроумии? Поверьте - я не тупей паровоза! Просто снималось 2 лога! Ну ошибся - отправил не тот! Новый прилагаю....
     

    Вложения:

    • log.txt
      Размер файла:
      12,8 КБ
      Просмотров:
      6
  5. artoodetoo

    artoodetoo Суперстар
    Команда форума Модератор

    С нами с:
    11 июн 2010
    Сообщения:
    10.817
    Симпатии:
    1.171
    Адрес:
    там-сям
    Ну это по прежнему может быть ошибкой несовместимости версий. Если вы на другом хостинге вынуждены были приспособиться к старому PHP, вы могли сдаунгрейдить фреймворк и т.д. неведамая нам цепочка зависимостей. В итоге другие данные и другой результат.

    Навскидку, текущая версия laravel-dompdf просит php: ^7.2, а если у вас 7.1 как утверждает предыдущий лог, то вам нужна какая-то старая версия всего. Это чисто домыслы — рассуждаю на базе того что вижу.

    Сам по себе этот ваш новый лог не даёт нужной информации. Нормальное расследование могло бы быть таким: настраиваем с помощью докер окружение аналогичное тому что на хостинге, дебажим.
    --- Добавлено ---
    Есть ещё вот такой багрепорт и в нём объяснение причины. Может быть вам поможет. А может это не ваш случай ))) :
    https://github.com/barryvdh/laravel-dompdf/issues/692